nisserver(1M)

NAME
nisserver - set up NIS+ servers.

SYNOPSIS
/usr/lib/nis/nisserver -r [ -x ] [ -f ] [ -v ] [ -Y ]
[ -d NIS+_domain ] [ -g NIS+_groupname ]
[ -l network_passwd ]

/usr/lib/nis/nisserver -M [ -x ] [ -f ] [ -v ] [ -Y ]
-d NIS+_domain [ -g NIS+_groupname ]
[ -h NIS+_server_host ]

/usr/lib/nis/nisserver -R [ -x ] [ -f ] [ -v ] [ -Y ]
[ -d NIS+_domain ] [ -h NIS+_server_host ]

DESCRIPTION
The nisserver shell script can be used to set up a root master, non-root master, and replica NIS+ server with level 2 security (DES).

When setting up a new domain, this script creates the NIS+ directories (including groups_dir and org_dir) and system table objects for the domain specified. It does not populate the tables. nispopulate(1M) must be used to populate the tables.

OPTIONS

-d NIS+_domain
    Specifies the name for the NIS+ domain. The default is your local domain.

-f  Forces the NIS+ server setup without prompting for confirmation.

-g NIS+_groupname
    Specifies the NIS+ group name for the new domain. This option is not valid with -R option. The default group is admin.<domain>.

-h NIS+_server_host
    Specifies the hostname for the NIS+ server. It must be a valid host in the local domain. Use a fully qualified hostname (for example, hostx.xyz.sun.com. ) to specify a host outside of your local domain. This option is only used for setting up non-root master or replica servers. The default for non-root master server setup is to use the same list of servers as the parent domain. The default for replica server setup is the local hostname.

-l network_password
    Specifies the network password with which to create the credentials for the root master server. This option is only used for master root server setup (-r option). If this option is not specified, the script prompts you for the login password.

-M  Sets up the specified host as a master server. Make sure that rpc.nisd(1M) is running on the new master server before this command is executed.

-R  Sets up the specified host as a replica server. Make sure that rpc.nisd is running on the new replica server.

-r  Sets up the server as a root master server. Use the -R option to set up a root replica server.

-v  Runs the script in verbose mode.

-x  Turns the echo mode on. The script just prints the commands that it would have executed. Note that the commands are not actually executed. The default is off.

-Y  Sets up a NIS+ server with NIS-compatibility mode. The default is to set up the server without NIS-compatibility mode.

USAGE
Use the first synopsis of the command (-r) to set up a root master server. To run the command, you must be logged in as super-user on the server machine.

Use the second synopsis of the command (-M) to set up a non-root master server for the specified domain. To run the command, you must be logged in as a NIS+ principal on a NIS+ machine and have write permission to the parent directory of the domain that you are setting up. The new non-root master server machine must already be an NIS+ client (see nisclient(1M)) and have the rpc.nisd(1M) daemon running.

Use the third synopsis of the command (-R) to set up a replica server for both root and non-root domains. To run the command, you must be logged in as a NIS+ principal on a NIS+ machine and have write permission to the parent directory of the domain that you are replicating. The new non-root replica server machine must already be an NIS+ client and have the rpc.nisd daemon running.

EXAMPLES
To set up a root master server for domain sun.com. :

    root_server# /usr/lib/nis/nisserver -r -d sun.com.

For the following examples make sure that the new servers are NIS+ clients and rpc.nisd is running on these hosts before executing nisserver.

To set up a replica server for domain sun.com. on host sunreplica:

    root_server# /usr/lib/nis/nisserver -R -d sun.com. \
    -h sunreplica

To set up a non-root master server for domain xyz.sun.com. on host sunxyz with the NIS+ groupname as admin-mgr.xyz.sun.com. : root_server# /usr/lib/nis/nisserver -M -d xyz.sun.com. \
-h sunxyz -g admin-mgr.xyz.sun.com.

To set up a non-root replica server for domain xyz.sun.com. on host sunabc:

    sunxyz# /usr/lib/nis/nisserver -R -d xyz.sun.com. -h sunabc

ATTRIBUTES
See attributes(5) for descriptions of the following attributes:

ATTRIBUTE TYPE | ATTRIBUTE VALUE
Availability | SUNWcsu

SEE ALSO
nis+(1), nisgrpadm(1), nismkdir(1), nisaddcred(1M), nisclient(1M), nisinit(1M), nispopulate(1M), nisprefadm(1M), nissetup(1M), rpc.nisd(1M), attributes(5)